org.apache.uima.fit.factory

## Class UimaContextFactory

- java.lang.Object
- - org.apache.uima.fit.factory.UimaContextFactory

-     public final class UimaContextFactory
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.uima.UimaContext` | `createUimaContext(Object... configurationParameters)` Create a new UimaContext with the given configuration parameters set.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createUimaContext

          public static org.apache.uima.UimaContext createUimaContext(Object... configurationParameters)
                                                               throws org.apache.uima.resource.ResourceInitializationException

      Create a new UimaContext with the given configuration parameters set.
      Parameters:
        `configurationParameters` - The parameters to be set.
      Returns:
        The new UimaContext.
      Throws:
        `org.apache.uima.resource.ResourceInitializationException` - If the context could not be created.

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.